Interface ElasticsearchEndpointBuilderFactory.ElasticsearchBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- ElasticsearchEndpointBuilderFactory
public static interface ElasticsearchEndpointBuilderFactory.ElasticsearchBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default ElasticsearchEndpointBuilderFactory.ElasticsearchEndpointBuilderelasticsearchRest(String path)Elasticsearch Rest (camel-elasticsearch-rest) Send requests to ElasticSearch via REST API Category: search,monitoring Since: 2.21 Maven coordinates: org.apache.camel:camel-elasticsearch-rest Syntax:elasticsearch-rest:clusterNamePath parameter: clusterName (required) Name of the clusterdefault ElasticsearchEndpointBuilderFactory.ElasticsearchEndpointBuilderelasticsearchRest(String componentName, String path)Elasticsearch Rest (camel-elasticsearch-rest) Send requests to ElasticSearch via REST API Category: search,monitoring Since: 2.21 Maven coordinates: org.apache.camel:camel-elasticsearch-rest Syntax:elasticsearch-rest:clusterNamePath parameter: clusterName (required) Name of the cluster
-
-
-
Method Detail
-
elasticsearchRest
default ElasticsearchEndpointBuilderFactory.ElasticsearchEndpointBuilder elasticsearchRest(String path)
Elasticsearch Rest (camel-elasticsearch-rest) Send requests to ElasticSearch via REST API Category: search,monitoring Since: 2.21 Maven coordinates: org.apache.camel:camel-elasticsearch-rest Syntax:elasticsearch-rest:clusterNamePath parameter: clusterName (required) Name of the cluster- Parameters:
path- clusterName- Returns:
- the dsl builder
-
elasticsearchRest
default ElasticsearchEndpointBuilderFactory.ElasticsearchEndpointBuilder elasticsearchRest(String componentName, String path)
Elasticsearch Rest (camel-elasticsearch-rest) Send requests to ElasticSearch via REST API Category: search,monitoring Since: 2.21 Maven coordinates: org.apache.camel:camel-elasticsearch-rest Syntax:elasticsearch-rest:clusterNamePath parameter: clusterName (required) Name of the cluster- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- clusterName- Returns:
- the dsl builder
-
-